Subject: Re: qlcnic binary sysfs file abuse

From: Greg KH <[email-masked]>
Date: Thu, 25 Jul 2013 13:08:45 -0700

On Thu, Jul 25, 2013 at 07:37:46PM +0000, Sony Chacko wrote:
> > -----Original Message-----
> > From: Greg KH [mailto:[email-masked]]
> > Sent: Saturday, July 06, 2013 5:30 PM
> > To: Rajesh Borundia; Shahed Shaikh; Jitendra Kalsaria; Sony Chacko; Dept-Eng
> > Linux Driver
> > Cc: netdev; linux-kernel
> > Subject: qlcnic binary sysfs file abuse
> > 
> > I was doing a kernel-wide audit on all of the binary sysfs files, and noticed a
> > metric ton of them in the qlcnic driver.
> > 
> > So, any objection to me just deleting these entirely?  Or, if they really are
> > needed, can I just move them to debugfs, which is where I think they should
> > have been from the beginning?
> 
> Some applications are using these files, please move them to debugfs.

What applications care about the internal data structures of the kernel
driver?  What can those applications do with that information?  What
happens when you have a 64bit kernel on a 32bit userspace?  How about
endian issues on different processor types?  That sounds like a
nightmare to even consider getting correct...

Anyway, I'll move them to debugfs, thanks.

greg k-h